Authorize a Web Agent Call
curl --request POST \
--url https://app.luly.ai/api/v1/agents/{agent_id}/authorize \
--header 'authorization: <authorization>'import requests
url = "https://app.luly.ai/api/v1/agents/{agent_id}/authorize"
headers = {"authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {authorization: '<authorization>'}};
fetch('https://app.luly.ai/api/v1/agents/{agent_id}/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "22480c52-0ff1-4214-bcb7-50649b508432"
}
Web Agents
Authorize a Web Agent Call
Create a single-use session token for a client to talk with your web agent.
POST
/
v1
/
agents
/
{agent_id}
/
authorize
Authorize a Web Agent Call
Headers
string
required
Your API key for authentication.
Path Parameters
string
required
The web agent to authorize a call for.Special note: While in Beta, this request must be made to the
web.Luly.ai domain.Response
string
The single-use session token that can be sent to the client.
string
Can be
success or error.string
A message saying whether the token creation succeeded, or a helpful message describing why it failed.
{
"token": "22480c52-0ff1-4214-bcb7-50649b508432"
}
⌘I